> ## Documentation Index
> Fetch the complete documentation index at: https://docs.keyapi.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Best Seller

> Retrieve best-selling products for a specified Amazon category or subcategory. Supports multiple list types: Best Sellers, New Releases, Movers & Shakers, Most Wished For, and Gift Ideas. Category path can be found in Amazon's Best Sellers URLs.

<div className="inline-flex items-center gap-2 px-4 py-2 bg-yellow-50 dark:bg-yellow-900/20 border border-yellow-200 dark:border-yellow-800 rounded-lg">
  <span className="text-base">🪙</span>
  <span className="text-sm font-medium text-yellow-900 dark:text-yellow-100"><span className="font-semibold">3 credits</span><span className="text-yellow-700 dark:text-yellow-300 ml-1">per request</span></span>
</div>

## Copy for AI

<div className="my-6 rounded-xl border border-gray-200 bg-gray-50 p-5 dark:border-gray-800 dark:bg-gray-900/40">
  <div className="min-w-0">
    <p className="text-base font-semibold text-gray-900 dark:text-gray-100">🤖 Why Code When AI Can Do It For You?</p>
    <p className="mt-1 text-sm text-gray-700 dark:text-gray-300">Stop writing code like it's 1970! Let AI do the heavy lifting - click the sparkles to copy a perfectly formatted prompt for ChatGPT, Claude, or your favorite AI assistant.</p>
  </div>

  <div className="mt-4">
    <button
      type="button"
      className="inline-flex items-center gap-2 rounded-md border border-emerald-300 bg-emerald-50 px-3 py-2 text-sm font-medium text-emerald-800 hover:bg-emerald-100 dark:border-emerald-700 dark:bg-emerald-900/30 dark:text-emerald-100 dark:hover:bg-emerald-900/50"
      onClick={() => navigator.clipboard.writeText(`I want to make an API call to https://api.keyapi.ai/v1/amazon/best-sellers.

Please help me write code to make this API call and handle the response appropriately. Include error handling and best practices.

Here are the details:

Endpoint: GET https://api.keyapi.ai/v1/amazon/best-sellers

Description: Best Seller

Required Headers:
--header 'Authorization: Bearer <YOUR_API_KEY>'

Parameters:
- category (Required): Best sellers category to return products for. Supports top level best sellers categories (e.g. software). In addition, subcategories / category path can be specified as well, separated by / (e.g. software/229535) - this can be seen in best sellers URLs, e.g. https://www.amazon.com/Best-Sellers-Software-Business-Office/zgbs/software/229535.

Examples:
software
software/229535. Example: software
- type (Optional): Type of Best Seller list to return.
Allowed values: BEST_SELLERS, GIFT_IDEAS, MOST_WISHED_FOR, MOVERS_AND_SHAKERS, NEW_RELEASES. Example: BEST_SELLERS
- page (Optional): Results page to return.. Example: 1
- country (Optional): Sets the Amazon domain, marketplace country, language and currency.
Allowed values: US, AU, BR, CA, CN, FR, DE, IN, IT, MX, NL, SG, ES, TR, AE, GB, JP, SA, PL, SE, BE, EG, ZA, IE. Example: us
- language (Optional): The language of the results. In case not specified, results will be returned in the default domain language.
Supported languages per country:
US: en_US, es_US
AU: en_AU
BR: pt_BR
CA: en_CA, fr_CA
FR: fr_FR, en_GB
DE: de_DE, en_GB, cs_CZ, nl_NL, pl_PL, tr_TR, da_DK
IN: en_IN, hi_IN, ta_IN, te_IN, kn_IN, ml_IN, bn_IN, mr_IN
IT: it_IT, en_GB
MX: es_MX
NL: nl_NL, en_GB
SG: en_SG
ES: es_ES, pt_PT, en_GB
TR: tr_TR
AE: en_AE, ar_AE
GB: en_GB
JP: ja_JP, en_US, zh_CN
SA: ar_AE, en_AE
PL: pl_PL
SE: sv_SE, en_GB
BE: fr_BE, nl_BE, en_GB
EG: ar_AE, en_AE
ZA: en_ZA
IE: en_IE
- fields (Optional): A comma separated list of product fields to include in the response (field projection). By default all fields are returned.

Example: product_title,product_url,product_photo

Example Response:
{
"code": 0,
"message": "success",
"data": {
"best_sellers": [
  {
    "rank": 1,
    "asin": "B0FWV56H48",
    "product_title": "TurboTax Deluxe Desktop Edition 2025, Federal & State Tax Return [Win11/Mac14 Download]",
    "product_price": "$55.99",
    "product_star_rating": "3.6",
    "product_num_ratings": 2874,
    "product_url": "https://www.amazon.com/dp/B0FWV56H48",
    "product_photo": "https://images-na.ssl-images-amazon.com/images/I/71OcM906MLL._AC_UL900_SR900,600_.jpg",
    "rank_change_label": null
  },
  {
    "rank": 2,
    "asin": "B0FRPW868X",
    "product_title": "H&R Block Tax Software Deluxe + State 2025 Win/Mac [PC/Mac Online Code]",
    "product_price": "$40.99",
    "product_star_rating": "3.9",
    "product_num_ratings": 1376,
    "product_url": "https://www.amazon.com/dp/B0FRPW868X",
    "product_photo": "https://images-na.ssl-images-amazon.com/images/I/611uM-FzipL._AC_UL900_SR900,600_.jpg",
    "rank_change_label": null
  },
  {
    "rank": 3,
    "asin": "B0DGVQMGBB",
    "product_title": "Microsoft Office Home 2024 | Classic Office Apps: Word, Excel, PowerPoint | One-Time Purchase for a single Windows laptop or ",
    "product_price": "$179.99",
    "product_star_rating": "4",
    "product_num_ratings": 1638,
    "product_url": "https://www.amazon.com/dp/B0DGVQMGBB",
    "product_photo": "https://images-na.ssl-images
... (truncated)`)}
    >
      <span>✨</span>
      <span>Copy for AI</span>
    </button>
  </div>
</div>


## OpenAPI

````yaml en/amazon.openapi.json GET /v1/amazon/best-sellers
openapi: 3.0.1
info:
  title: Amazon API english documentation
  description: >-
    The english reference documentation of the Amazon API includes the
    interface's purpose, parameter description, response status, and sample
    structure.
  version: 1.0.0
servers:
  - url: https://api.keyapi.ai
    description: Production
security: []
tags: []
paths:
  /v1/amazon/best-sellers:
    get:
      tags: []
      summary: Best Seller
      description: >-
        Retrieve best-selling products for a specified Amazon category or
        subcategory. Supports multiple list types: Best Sellers, New Releases,
        Movers & Shakers, Most Wished For, and Gift Ideas. Category path can be
        found in Amazon's Best Sellers URLs.
      parameters:
        - name: category
          in: query
          description: >-
            Best sellers category to return products for. Supports top level
            best sellers categories (e.g. software). In addition, subcategories
            / category path can be specified as well, separated by / (e.g.
            software/229535) - this can be seen in best sellers URLs, e.g.
            https://www.amazon.com/Best-Sellers-Software-Business-Office/zgbs/software/229535.


            Examples:
              software
              software/229535
          required: true
          example: software
          schema:
            type: string
        - name: type
          in: query
          description: >-
            Type of Best Seller list to return.

            Allowed values: BEST_SELLERS, GIFT_IDEAS, MOST_WISHED_FOR,
            MOVERS_AND_SHAKERS, NEW_RELEASES
          required: false
          example: BEST_SELLERS
          schema:
            type: string
            default: BEST_SELLERS
        - name: page
          in: query
          description: Results page to return.
          required: false
          example: 1
          schema:
            type: number
            default: 1
        - name: country
          in: query
          description: >-
            Sets the Amazon domain, marketplace country, language and currency.

            Allowed values: US, AU, BR, CA, CN, FR, DE, IN, IT, MX, NL, SG, ES,
            TR, AE, GB, JP, SA, PL, SE, BE, EG, ZA, IE
          required: false
          example: us
          schema:
            type: string
            default: us
        - name: language
          in: query
          description: >-
            The language of the results. In case not specified, results will be
            returned in the default domain language.

            Supported languages per country:

            US: en_US, es_US

            AU: en_AU

            BR: pt_BR

            CA: en_CA, fr_CA

            FR: fr_FR, en_GB

            DE: de_DE, en_GB, cs_CZ, nl_NL, pl_PL, tr_TR, da_DK

            IN: en_IN, hi_IN, ta_IN, te_IN, kn_IN, ml_IN, bn_IN, mr_IN

            IT: it_IT, en_GB

            MX: es_MX

            NL: nl_NL, en_GB

            SG: en_SG

            ES: es_ES, pt_PT, en_GB

            TR: tr_TR

            AE: en_AE, ar_AE

            GB: en_GB

            JP: ja_JP, en_US, zh_CN

            SA: ar_AE, en_AE

            PL: pl_PL

            SE: sv_SE, en_GB

            BE: fr_BE, nl_BE, en_GB

            EG: ar_AE, en_AE

            ZA: en_ZA

            IE: en_IE
          required: false
          schema:
            type: string
        - name: fields
          in: query
          description: >-
            A comma separated list of product fields to include in the response
            (field projection). By default all fields are returned.


            Example: product_title,product_url,product_photo
          required: false
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
              example:
                code: 0
                message: success
                data:
                  best_sellers:
                    - rank: 1
                      asin: B0FWV56H48
                      product_title: >-
                        TurboTax Deluxe Desktop Edition 2025, Federal & State
                        Tax Return [Win11/Mac14 Download]
                      product_price: $55.99
                      product_star_rating: '3.6'
                      product_num_ratings: 2874
                      product_url: https://www.amazon.com/dp/B0FWV56H48
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/71OcM906MLL._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 2
                      asin: B0FRPW868X
                      product_title: >-
                        H&R Block Tax Software Deluxe + State 2025 Win/Mac
                        [PC/Mac Online Code]
                      product_price: $40.99
                      product_star_rating: '3.9'
                      product_num_ratings: 1376
                      product_url: https://www.amazon.com/dp/B0FRPW868X
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/611uM-FzipL._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 3
                      asin: B0DGVQMGBB
                      product_title: >-
                        Microsoft Office Home 2024 | Classic Office Apps: Word,
                        Excel, PowerPoint | One-Time Purchase for a single
                        Windows laptop or 
                      product_price: $179.99
                      product_star_rating: '4'
                      product_num_ratings: 1638
                      product_url: https://www.amazon.com/dp/B0DGVQMGBB
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/61-3UnDAw3L._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 4
                      asin: B0DHYGWYJ6
                      product_title: >-
                        [OLD VERSION] TurboTax Deluxe 2024 Tax Software, Federal
                        & State Tax Return [PC/MAC Download]
                      product_price: $79.99
                      product_star_rating: '4.4'
                      product_num_ratings: 14881
                      product_url: https://www.amazon.com/dp/B0DHYGWYJ6
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/71UbHaUeeUL._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 5
                      asin: B0BB2GF9WW
                      product_title: >-
                        McAfee Total Protection 5-Device | AntiVirus Software
                        2026 for Windows PC & Mac, AI Scam Detection, VPN,
                        Password Manager, Id
                      product_price: $19.99
                      product_star_rating: '4.2'
                      product_num_ratings: 2129
                      product_url: https://www.amazon.com/dp/B0BB2GF9WW
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/51ih+NGp8LL._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 6
                      asin: B07Q33SJDW
                      product_title: >-
                        Norton 360 Deluxe 2026 Ready, Antivirus software for 5
                        Devices with Auto-Renewal – Includes Advanced AI Scam
                        Protection, VPN,
                      product_price: $24.99
                      product_star_rating: '4'
                      product_num_ratings: 16398
                      product_url: https://www.amazon.com/dp/B07Q33SJDW
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/71dIA+61J2L._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 7
                      asin: B07Q8JGCSQ
                      product_title: >-
                        Norton 360 Deluxe 2026 Ready, Antivirus software for 3
                        Devices with Auto-Renewal – Includes Advanced AI Scam
                        Protection, VPN,
                      product_price: $29.99
                      product_star_rating: '3.9'
                      product_num_ratings: 6290
                      product_url: https://www.amazon.com/dp/B07Q8JGCSQ
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/719bgx+IiYL._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 8
                      asin: B0823GT5JG
                      product_title: iFit Train - Monthly Membership
                      product_price: $15.00
                      product_star_rating: '3.4'
                      product_num_ratings: 644
                      product_url: https://www.amazon.com/dp/B0823GT5JG
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/61py58y88zL._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 9
                      asin: B09MYJ1R6L
                      product_title: >-
                        Microsoft System Builder | Windоws 11 Home | Intended
                        use for new systems | Install on a new PC | Branded by
                        Microsoft
                      product_price: $119.99
                      product_star_rating: '4.1'
                      product_num_ratings: 2348
                      product_url: https://www.amazon.com/dp/B09MYJ1R6L
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/61JfosHunyL._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 10
                      asin: B07CXZZT7Z
                      product_title: >-
                        Bitdefender Total Security - 10 Devices | 2 year
                        Subscription | PC/MAC |Activation Code by email
                      product_price: $84.99
                      product_star_rating: '4.5'
                      product_num_ratings: 485
                      product_url: https://www.amazon.com/dp/B07CXZZT7Z
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/51IYBdseH7L._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 11
                      asin: B07Q6B5YL5
                      product_title: >-
                        Norton 360 Premium 2026 Ready, Antivirus software for 10
                        Devices with Auto-Renewal – Includes Advanced AI Scam
                        Protection, VP
                      product_price: $35.94
                      product_star_rating: '4.1'
                      product_num_ratings: 5655
                      product_url: https://www.amazon.com/dp/B07Q6B5YL5
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/71BOIz4Tx1L._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 12
                      asin: B0CD37PMCL
                      product_title: >-
                        NordVPN Plus, 10 Devices, 1-Year, VPN & Password Manager
                        Software Bundle, Digital Code
                      product_price: $38.63
                      product_star_rating: '3.9'
                      product_num_ratings: 947
                      product_url: https://www.amazon.com/dp/B0CD37PMCL
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/618QqPzeZfL._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 13
                      asin: B07DDL3N69
                      product_title: >-
                        Webroot Internet Security Complete | Antivirus Software
                        2026 | 5 Device | 1 Year Download for
                        PC/Mac/Chromebook/Android/IOS +
                      product_price: $29.99
                      product_star_rating: '4.3'
                      product_num_ratings: 1930
                      product_url: https://www.amazon.com/dp/B07DDL3N69
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/71dSKXXc54L._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 14
                      asin: B09WCTTXQ6
                      product_title: >-
                        Windows 11 Pro Upgrade, from Windows 11 Home (Digital
                        Download)
                      product_price: $99.00
                      product_star_rating: '3.6'
                      product_num_ratings: 796
                      product_url: https://www.amazon.com/dp/B09WCTTXQ6
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/61R6ivLSfrL._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 15
                      asin: B07K98XDX8
                      product_title: >-
                        McAfee Total Protection 3-Device 2025 Ready |Security
                        Software Includes Antivirus, Secure VPN, Password
                        Manager, Identity Mon
                      product_price: $24.99
                      product_star_rating: '4'
                      product_num_ratings: 6310
                      product_url: https://www.amazon.com/dp/B07K98XDX8
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/614fv+QVMTL._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 16
                      asin: B092M5G1G7
                      product_title: >-
                        Mullvad VPN | 12 Months for 5 Devices | Protect Your
                        Privacy with Easy-To-Use Security VPN Service
                      product_price: $65.00
                      product_star_rating: '4.7'
                      product_num_ratings: 1448
                      product_url: https://www.amazon.com/dp/B092M5G1G7
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/61IHAqDMolL._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 17
                      asin: B076VQ4Y4J
                      product_title: >-
                        Laplink PCmover Ultimate 11 - Migration of your
                        Applications, Files and Settings from an Old PC to a New
                        PC - Data Transfer S
                      product_price: $44.95
                      product_star_rating: '4.2'
                      product_num_ratings: 6335
                      product_url: https://www.amazon.com/dp/B076VQ4Y4J
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/71U0TfOBbWL._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 18
                      asin: B0BZ2K72LD
                      product_title: >-
                        McAfee Total Protection 3-Device | 15 Month Subscription
                        with Auto-Renewal | AI Scam Detection, AntiVirus
                        Software 2026 for W
                      product_price: $26.99
                      product_star_rating: '4.2'
                      product_num_ratings: 670
                      product_url: https://www.amazon.com/dp/B0BZ2K72LD
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/61jtjDEWulL._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 19
                      asin: B0CLBV27N2
                      product_title: >-
                        [Old Version] TurboTax Deluxe 2023, Federal & State Tax
                        Return [PC/Mac Download]
                      product_price: $69.99
                      product_star_rating: '4.4'
                      product_num_ratings: 16693
                      product_url: https://www.amazon.com/dp/B0CLBV27N2
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/719rCYQpjdL._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 20
                      asin: B0DT54B895
                      product_title: >-
                        Microsoft Office Home & Business 2024 | Classic Desktop
                        Apps: Word, Excel, PowerPoint, Outlook and OneNote |
                        One-Time Purchas
                      product_price: $249.99
                      product_star_rating: '4'
                      product_num_ratings: 109
                      product_url: https://www.amazon.com/dp/B0DT54B895
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/5142rSuCQ-L._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 21
                      asin: B0DJQ2V9QR
                      product_title: >-
                        (Old Version) H&R Block Tax Software Deluxe + State 2024
                        with Refund Bonus Offer (Amazon Exclusive) Win/Mac
                        [PC/Mac Online Co
                      product_price: $59.99
                      product_star_rating: '4.2'
                      product_num_ratings: 3743
                      product_url: https://www.amazon.com/dp/B0DJQ2V9QR
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/51+fonAXhPL._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 22
                      asin: B07Q4QZGFR
                      product_title: >-
                        Adobe Acrobat Pro | PDF Software | Convert, Edit,
                        E-Sign, Protect | PC/Mac Online Code | Activation
                        Required
                      product_price: $239.88
                      product_star_rating: '4'
                      product_num_ratings: 1215
                      product_url: https://www.amazon.com/dp/B07Q4QZGFR
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/71U+ZLx-qWL._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 23
                      asin: B0CPH9FWB4
                      product_title: >-
                        Wyze Security Plan - Cam Unlimited | Unlimited Cameras |
                        1 Month Subscription. Full AI features | Facial
                        Recognition for Frie
                      product_price: $9.99
                      product_star_rating: '4.2'
                      product_num_ratings: 395
                      product_url: https://www.amazon.com/dp/B0CPH9FWB4
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/612-BLf1rbL._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 24
                      asin: B084L8X5VV
                      product_title: >-
                        Malwarebytes Premium | Amazon Exclusive | 18 Months, 2
                        Devices | Windows, Mac OS, Android, Apple iOS, Chrome
                        [Online Code]
                      product_price: $39.99
                      product_star_rating: '4.3'
                      product_num_ratings: 1382
                      product_url: https://www.amazon.com/dp/B084L8X5VV
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/51ar4vgTBCL._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 25
                      asin: B0D48139YN
                      product_title: >-
                        Adobe Creative Cloud Pro STE | Student & Teacher Edition
                        | 20+ creative apps plus 100GB Storage |12-Month
                        Subscription | PC/M
                      product_price: $239.88
                      product_star_rating: '3.8'
                      product_num_ratings: 248
                      product_url: https://www.amazon.com/dp/B0D48139YN
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/81R4yk+Jd4L._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 26
                      asin: B07Q69X7XL
                      product_title: >-
                        Norton AntiVirus Plus 2026 Ready, Antivirus software for
                        1 Device with Auto-Renewal – Includes Advanced AI Scam
                        Protection, P
                      product_price: $14.99
                      product_star_rating: '3.7'
                      product_num_ratings: 3145
                      product_url: https://www.amazon.com/dp/B07Q69X7XL
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/71+FQ-+PUrL._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 27
                      asin: B07VGCN1K2
                      product_title: >-
                        Norton 360 Platinum 2026 Ready, Antivirus software for
                        20 Devices with Auto-Renewal – 3 Months FREE - Includes
                        Advanced AI Sc
                      product_price: $39.99
                      product_star_rating: '4.1'
                      product_num_ratings: 2261
                      product_url: https://www.amazon.com/dp/B07VGCN1K2
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/71OFYR9xzUL._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 28
                      asin: B07DDJRW7Y
                      product_title: >-
                        Webroot Internet Security Complete Antivirus Software
                        2026 10 Device 1 Year Download for
                        PC/Mac/Chromebook/Android/IOS + Pass
                      product_price: $24.99
                      product_star_rating: '4.4'
                      product_num_ratings: 429
                      product_url: https://www.amazon.com/dp/B07DDJRW7Y
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/71usJ80hjZL._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 29
                      asin: B07CY6RYFW
                      product_title: >-
                        Bitdefender Family Pack - 15 Devices | 2 year
                        Subscription | PC/Mac | Activation Code by email
                      product_price: $99.99
                      product_star_rating: '4.6'
                      product_num_ratings: 159
                      product_url: https://www.amazon.com/dp/B07CY6RYFW
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/71VKV+o8ZwL._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 30
                      asin: B0CFSX431Z
                      product_title: >-
                        Quicken Classic Deluxe for New Subscribers| 1 Year
                        [PC/Mac Online Code]
                      product_price: $75.99
                      product_star_rating: '3.6'
                      product_num_ratings: 552
                      product_url: https://www.amazon.com/dp/B0CFSX431Z
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/61ypcFpjCuL._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 31
                      asin: B07Q6ZPC1Q
                      product_title: >-
                        Acrobat Pro | 1-Month Subscription | PDF Software
                        |Convert, Edit, E-Sign, Protect |Activation Required
                        [PC/Mac Online Code]
                      product_price: $29.99
                      product_star_rating: '3.5'
                      product_num_ratings: 1449
                      product_url: https://www.amazon.com/dp/B07Q6ZPC1Q
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/517ul+lt2GL._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 32
                      asin: B09VLYKW94
                      product_title: >-
                        Norton Utilities Ultimate for 10 Devices, Keep your
                        devices running like new - for Windows PC, Android and
                        iOS (Download)
                      product_price: $39.13
                      product_star_rating: '4'
                      product_num_ratings: 966
                      product_url: https://www.amazon.com/dp/B09VLYKW94
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/51EzRHdZ7lL._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 33
                      asin: B0BB2P338G
                      product_title: >-
                        McAfee Total Protection 1-Device | AntiVirus Software
                        2026 for Windows PC & Mac, AI Scam Detection, VPN,
                        Password Manager, Id
                      product_price: $19.99
                      product_star_rating: '4.3'
                      product_num_ratings: 500
                      product_url: https://www.amazon.com/dp/B0BB2P338G
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/61rLuVK-EpL._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 34
                      asin: B07BFRVMMN
                      product_title: >-
                        McAfee Total Protection Unlimited-Devices | AntiVirus
                        Software 2026 for Windows PC & Mac, AI Scam Detection,
                        VPN, Password Ma
                      product_price: $29.99
                      product_star_rating: '4.2'
                      product_num_ratings: 3181
                      product_url: https://www.amazon.com/dp/B07BFRVMMN
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/61LkaCrZevL._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 35
                      asin: B07QLYWQRQ
                      product_title: >-
                        Norton 360 Deluxe 2026 Ready, Antivirus software for 5
                        Devices with Auto-Renewal – Includes Advanced AI Scam
                        Protection, VPN,
                      product_price: $24.99
                      product_star_rating: '4.2'
                      product_num_ratings: 11185
                      product_url: https://www.amazon.com/dp/B07QLYWQRQ
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/71EgtBunTjL._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 36
                      asin: B083F3JKNN
                      product_title: >-
                        Ralix Reinstall DVD For Windows 10 All Versions 32/64
                        bit. Recover, Restore, Repair Boot Disc, and Install to
                        Factory Default
                      product_price: $11.99
                      product_star_rating: '3.8'
                      product_num_ratings: 3298
                      product_url: https://www.amazon.com/dp/B083F3JKNN
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/81qiOJgx8AL._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 37
                      asin: B0BB2N3SM3
                      product_title: >-
                        McAfee+ Premium Individual Unlimited Devices | AntiVirus
                        Software 2026 for Windows PC & Mac, AI Scam Detection,
                        VPN, Data Rem
                      product_price: $39.99
                      product_star_rating: '4.3'
                      product_num_ratings: 618
                      product_url: https://www.amazon.com/dp/B0BB2N3SM3
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/51SDRZlGPkL._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 38
                      asin: B07QHLRL1H
                      product_title: PCmover Professional 11 (1 Use) [PC Download]
                      product_price: $39.99
                      product_star_rating: '3.9'
                      product_num_ratings: 1281
                      product_url: https://www.amazon.com/dp/B07QHLRL1H
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/71+be+kE1HL._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 39
                      asin: B09H7F77JR
                      product_title: >-
                        Microsoft Office Home & Business 2021 | Word, Excel,
                        PowerPoint, Outlook | One-time purchase for 1 PC or Mac
                        | Instant Downlo
                      product_price: $229.99
                      product_star_rating: '4'
                      product_num_ratings: 1015
                      product_url: https://www.amazon.com/dp/B09H7F77JR
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/61hSSVPvT3L._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 40
                      asin: B08X2L57CT
                      product_title: >-
                        ESET Home Security Essential | Antivirus | 2025 Edition
                        | 3 Devices | 1 Year | Safe Banking | Privacy Protection
                        | IOT Protec
                      product_price: $39.99
                      product_star_rating: '4.4'
                      product_num_ratings: 229
                      product_url: https://www.amazon.com/dp/B08X2L57CT
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/61BJftv4SvL._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 41
                      asin: B07Q55XCC9
                      product_title: >-
                        Norton 360 Standard 2026 Ready, Antivirus software for 1
                        Device with Auto-Renewal – Includes Advanced AI Scam
                        Protection, VPN
                      product_price: $24.99
                      product_star_rating: '3.8'
                      product_num_ratings: 1195
                      product_url: https://www.amazon.com/dp/B07Q55XCC9
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/71KEmJTcXCL._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 42
                      asin: B0CJCWHXH2
                      product_title: >-
                        (Old Version) H&R Block Tax Software Deluxe + State 2023
                        with Refund Bonus Offer (Amazon Exclusive) (PC/MAC
                        Download)
                      product_price: $49.99
                      product_star_rating: '4.3'
                      product_num_ratings: 4731
                      product_url: https://www.amazon.com/dp/B0CJCWHXH2
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/51WNth-N57L._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 43
                      asin: B0GPHLQKPN
                      product_title: >-
                        Quick-Books Desktop Pro 2024 Lifetime | 1 User | Amazon
                        Message Delivery (Within 24hrs)
                      product_price: null
                      product_star_rating: '1'
                      product_num_ratings: 1
                      product_url: https://www.amazon.com/dp/B0GPHLQKPN
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/51PkSjp+IQL._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 44
                      asin: B091KJH72X
                      product_title: >-
                        Corel WordPerfect Office Home & Student 2021 | Office
                        Suite of Word Processor, Spreadsheets & Presentation
                        Software [PC Disc]
                      product_price: $98.98
                      product_star_rating: '4.2'
                      product_num_ratings: 1357
                      product_url: https://www.amazon.com/dp/B091KJH72X
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/51HxhrJSCfS._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 45
                      asin: B07MY44VVY
                      product_title: >-
                        Webroot Antivirus Software 2025 | 3 Device | 2 Year
                        Download for PC/Mac
                      product_price: $39.99
                      product_star_rating: '4.4'
                      product_num_ratings: 1003
                      product_url: https://www.amazon.com/dp/B07MY44VVY
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/71TSBeZnloL._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 46
                      asin: B07ZLGQYPQ
                      product_title: >-
                        Ralix Windows Emergency Boot Disk - For Windows 98,
                        2000, XP, Vista, 7, 10 PC Repair DVD All in One Tool
                        (Latest Version)
                      product_price: $11.99
                      product_star_rating: '3.4'
                      product_num_ratings: 2560
                      product_url: https://www.amazon.com/dp/B07ZLGQYPQ
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/810-f3AMQCL._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 47
                      asin: B0CM4F111Z
                      product_title: >-
                        Tech-Shop-pro Compatible with install Key Included USB
                        For Windows 11 Home OEM Version 64 bit. Recover,
                        Restore, Repair Boot 
                      product_price: $59.00
                      product_star_rating: '3.9'
                      product_num_ratings: 268
                      product_url: https://www.amazon.com/dp/B0CM4F111Z
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/71HHcF-XFtL._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 48
                      asin: B0GMKC652Y
                      product_title: >-
                        Quick - Books Desktop Pro "Plus" 2024 | 3 User's |
                        LIFETIME Version | NO DVD | Amazon Message
                        Delivery(Within 12hrs) - Only P
                      product_price: $249.00
                      product_star_rating: '3.9'
                      product_num_ratings: 4
                      product_url: https://www.amazon.com/dp/B0GMKC652Y
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/510vB6xe6-L._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 49
                      asin: B07BFS3G7P
                      product_title: >-
                        McAfee Total Protection | 3 Device | Antivirus Internet
                        Security Software | VPN, Password Manager, Dark Web
                        Monitoring | 1 Ye
                      product_price: $24.99
                      product_star_rating: '4.2'
                      product_num_ratings: 14453
                      product_url: https://www.amazon.com/dp/B07BFS3G7P
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/61PrVJYw-7L._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                    - rank: 50
                      asin: B0B8QRX8TN
                      product_title: >-
                        Parallels Desktop 26 for Mac Pro Edition | Run Windows
                        on Mac Virtual Machine Software| Authorized by Microsoft
                        | 1 Year Subs
                      product_price: $119.99
                      product_star_rating: '3.9'
                      product_num_ratings: 42
                      product_url: https://www.amazon.com/dp/B0B8QRX8TN
                      product_photo: >-
                        https://images-na.ssl-images-amazon.com/images/I/7199dmazYtL._AC_UL900_SR900,600_.jpg
                      rank_change_label: null
                  category_name: Software
                  country: US
                  domain: www.amazon.com
                requestId: b96e8d95-12dc-4b7e-b18a-6e9392579777
          headers: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 400
                  data: null
                  message: 'Missing required parameter: handle'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 401
                  data: null
                  message: apiKey is null
        '402':
          description: Payment Required
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 402
                  data: null
                  message: apiKey quota is not enough
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 429
                  data: null
                  message: qps limit exceeded
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 500
                  data: null
                  message: Internal server error
      deprecated: false
      security:
        - JWT Bearer: []
      x-codeSamples:
        - lang: curl
          label: cURL
          source: |-
            curl --request GET \
              --url 'https://api.keyapi.ai/v1/amazon/best-sellers?category=software&type=BEST_SELLERS&page=1&country=us' \
              --header 'Authorization: Bearer <YOUR_API_KEY>'
        - lang: python
          label: Python
          source: |-
            import requests

            response = requests.get(
                'https://api.keyapi.ai/v1/amazon/best-sellers',
                params={"category": "software", "type": "BEST_SELLERS", "page": 1, "country": "us"},
                headers={'Authorization': 'Bearer <YOUR_API_KEY>'}
            )
            print(response.json())
        - lang: javascript
          label: JavaScript
          source: >-
            const params = new URLSearchParams({"category": "software", "type":
            "BEST_SELLERS", "page": 1, "country": "us"});


            const response = await
            fetch(`https://api.keyapi.ai/v1/amazon/best-sellers?${params}`, {
              method: 'GET',
              headers: { 'Authorization': 'Bearer <YOUR_API_KEY>' }
            });

            const data = await response.json();

            console.log(data);
components:
  securitySchemes:
    JWT Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: |-
        API key for authentication. Format: `sk_live_xxxxxxxxxxxxx`
        Get your API key from the [Dashboard](http://keyapi.ai/app/dashboard).

````